Criar Ordem PIX
curl --request POST \
--url https://api.example.com/api/v1/order/create/pix \
--header 'Content-Type: application/json' \
--data '
{
"value": 123,
"orderRequest": "<string>",
"merchant": "<string>",
"orderId": "<string>",
"name": "<string>",
"cnpj": "<string>",
"cpf": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/order/create/pix"
payload = {
"value": 123,
"orderRequest": "<string>",
"merchant": "<string>",
"orderId": "<string>",
"name": "<string>",
"cnpj": "<string>",
"cpf": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
value: 123,
orderRequest: '<string>',
merchant: '<string>',
orderId: '<string>',
name: '<string>',
cnpj: '<string>',
cpf: '<string>'
})
};
fetch('https://api.example.com/api/v1/order/create/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"pixOrder": {
"provider": "<string>",
"hash": "<string>",
"merchant": "<string>",
"value": 123,
"status": "<string>",
"currency": "<string>",
"universalUrl": "<string>",
"removedAt": "<string>",
"_id": "<string>",
"paymentLinkId": "<string>",
"splits": [
{}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"__v": 123
},
"qrCode": "<string>"
}PIX
Criar Ordem PIX
Crie uma nova ordem de pagamento PIX
POST
/
api
/
v1
/
order
/
create
/
pix
Criar Ordem PIX
Criar ordem de pagamento PIX
Este endpoint gera um novo QR code de pagamento PIX para o valor especificado.Requisição
number
required
O valor do pagamento em BRL
string
Referência da solicitação de ordem
string
Referência do comerciante
string
ID de ordem personalizado
string
Nome do cliente
string
Número de CNPJ da empresa
string
Número de CPF pessoal
Exemplo de requisição
curl -X POST "https://server.cryptouse.com.br/api/v1/order/create/pix" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer seu_token_aqui" \
-d '{
"orderRequest": "order-1753899073445",
"merchant": "merch_456",
"value": 200.00,
"orderId": "ord_custom_789",
"name": "Empresa Exemplo Ltda",
"cnpj": "12345678901234"
}'
Resposta
string
Mensagem de sucesso
object
Show Propriedades
Show Propriedades
string
Provedor do pagamento
string
Hash único da ordem
string
ID do comerciante
number
Valor do pagamento em BRL
string
Status da ordemValores possíveis:
PENDING, COMPLETED, CANCELLED, FAILED, REFUNDstring
Moeda do pagamento
string
URL universal do PIX
string
Timestamp de remoção (se aplicável)
string
ID interno da ordem
string
Identificador único do link de pagamento
array
Array de divisões de pagamento
string
Timestamp de criação da ordem
string
Timestamp de atualização da ordem
number
Versão do documento
string
Código QR do PIX para pagamento
Exemplo de resposta
{
"message": "order pix created",
"pixOrder": {
"provider": "MTBANK",
"hash": "order-1753899073445",
"merchant": "6884d2b4f4ea864855d89fce",
"value": 200,
"status": "PENDING",
"currency": "BRL",
"universalUrl": "00020101021226910014br.gov.bcb.pix2569qrcode.mtbank.com.br/spi/qr-code/cob/58ea8c4c14d644c2a95f4a4c2be706425204000053E",
"removedAt": null,
"_id": "688a68439b11ce1a1a85e450",
"paymentLinkId": "d3d7bafe-2040-4f74-bddb-34823c6edcae",
"splits": [],
"createdAt": "2025-07-30T18:11:15.151Z",
"updatedAt": "2025-07-30T18:11:15.151Z",
"__v": 0
},
"qrCode": "00020101021226910014br.gov.bcb.pix2569qrcode.mtbank.com.br/spi/qr-code/cob/50ea8c4c14d644c2a95f4a4c2be706425204000053039865882BF"
}
{
"message": "Dados obrigatórios ausentes para MTBank",
"details": {
"pixKey": "54e0c85c-55db-4e26-a32b-26b7532cddf2",
"identifier": "order-1753899088948"
}
}
{
"message": "Unauthorized: Authorization header missing"
}
O que é PIX?
PIX é o sistema de pagamentos instantâneos do Banco Central do Brasil. Ele permite transferências e pagamentos em segundos, 24 horas por dia, 7 dias por semana, incluindo feriados.Pagamento via PIX
Os usuários podem pagar um QR code PIX das seguintes formas:- Escaneando o QR code com o aplicativo do seu banco
- Copiando e colando o código BR PIX no aplicativo do banco
- Acessando o link de pagamento em um dispositivo móvel
Benefícios do PIX
- Rapidez: Transferências confirmadas em segundos
- Disponibilidade: Funciona 24/7, incluindo finais de semana e feriados
- Facilidade: Basta escanear um QR code
- Segurança: Regulamentado pelo Banco Central do Brasil
Tempo de expiração
Os QR codes PIX não expiram por padrão, mas a ordem pode ser configurada para expirar após um período específico.Conciliação
Quando um pagamento PIX é recebido, nosso sistema automaticamente:- Identifica a ordem correspondente
- Atualiza o status para
COMPLETED - Envia uma notificação para seu sistema
⌘I
